export declare class STooltip {
  private _isTooltipEnabled;
  private get isTooltipEnabled();
  private set isTooltipEnabled(value);
  hostElement: HTMLSTooltipElement;
  margin: number;
  orientation: 'top' | 'right' | 'bottom' | 'left';
  followMouse: boolean;
  noDefaultStyle: boolean;
  noArrow: boolean;
  backgroundColor: string;
  maxWidth: string;
  maxHeight: string;
  borderWidth: string;
  borderColor: string;
  opacity: number;
  zIndex: number;
  updateBackgroundColor(value: string): void;
  updateMaxWidth(value: string): void;
  updateMaxHeight(value: string): void;
  updateBorderWidth(value: string): void;
  updateBorderColor(value: string): void;
  updateOpacity(value: number): void;
  updateZIndex(value: number): void;
  connectedCallback(): void;
  render(): any;
  private updateTooltipPosition;
  private setTooltipPosition;
  private initializeCSSVariables;
  private updateCSSVariable;
}
